Visual diffing: indenting a list item produces an incorrect diff
Closed, ResolvedPublic8 Story Points

Description

Indent the item 'or here' on Simple.html and an exception is thrown when diffing. incorrect diff is produced:

Esanders created this task.Oct 30 2016, 8:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2016, 8:12 PM
Jdforrester-WMF triaged this task as High priority.Oct 31 2016, 5:54 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF added a subscriber: Tchanders.

Change 319416 had a related patch set uploaded (by Tchanders):
Fix splice typo

https://gerrit.wikimedia.org/r/319416

Esanders renamed this task from Visual diffing: indenting a list item throws an exception to Visual diffing: indenting a list item produces an incorrect diff.Nov 2 2016, 10:05 PM
Esanders updated the task description. (Show Details)

The above patch fixes the exception (which was the same as T149528) so re-purposing this for a follow-up issue.

Change 319416 merged by jenkins-bot:
Fix splice typo

https://gerrit.wikimedia.org/r/319416

Esanders reopened this task as Open.Nov 7 2016, 2:26 PM

Actually the patch improved the rendering, but it still shows one item removed and two inserted:

Esanders changed the point value for this task from 1 to 8.Jan 17 2017, 5:21 PM

Change 340656 had a related patch set uploaded (by Tchanders):
[VisualEditor/VisualEditor] WIP Clean up DiffElement logic

https://gerrit.wikimedia.org/r/340656

Change 340656 merged by jenkins-bot:
[VisualEditor/VisualEditor] Generalize DiffElement logic (improves lists and tables)

https://gerrit.wikimedia.org/r/340656

Change 342651 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor] Update VE core submodule to master (bc6417ba5)

https://gerrit.wikimedia.org/r/342651

Jdforrester-WMF closed this task as Resolved.Mar 14 2017, 8:13 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 14 2017, 8:13 PM

Change 342651 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor] Update VE core submodule to master (41134af2b)

https://gerrit.wikimedia.org/r/342651